Bug 697777 - lvextend -r continue even if response is not
lvextend -r continue even if response is not
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
14
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 04:41 EDT by Ambrogio
Modified: 2011-06-07 00:38 EDT (History)
12 users (show)

See Also:
Fixed In Version: lvm2-2.02.84-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-07 00:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ambrogio 2011-04-19 04:41:34 EDT
Using the -r option to extend an LV, and even if the answer is NO, the extension continue and the online filesystem is extended.

As the question is on the first moment of the procedure, I expect that all activities should be aborted.

This is the result of the command

# lvextend -r -L+50G  /dev/vg_1TB_01/lv_Foto_01 
fsck from util-linux-ng 2.18
e2fsck 1.41.12 (17-May-2010)
/dev/mapper/vg_1TB_01-lv_Foto_01 รจ montato. 

WARNING!!!  The filesystem is mounted.   If you continue you ***WILL***
cause ***SEVERE*** filesystem damage.

Continuare (s/n)? no

controllo annullato.
  Extending logical volume lv_Foto_01 to 250,00 GiB
  Logical volume lv_Foto_01 successfully resized
resize2fs 1.41.12 (17-May-2010)
Filesystem at /dev/dm-1 is mounted on /mnt/1TB_01/Foto; on-line resizing required
old desc_blocks = 13, new_desc_blocks = 16
Performing an on-line resize of /dev/dm-1 to 65536000 (4k) blocks.
The filesystem on /dev/dm-1 is now 65536000 blocks long.
Comment 1 Zdenek Kabelac 2011-04-19 05:42:59 EDT
I assume you are using the latest available lvm2 package for F14 - however it needs newer package of lvm2.

I believe this bug has been fixed in lvm2 2.02.75.

I think next rebased version will be based either on 2.02.84 or 2.02.85.
Comment 2 Ambrogio 2011-04-19 08:55:48 EDT
Actually I use the lvm2-2.02.73-3.fc14.i686.rpm.

yum update actually doesn't offer a new version for them.

Bye
 Ambrogio
Comment 3 Fedora Update System 2011-05-06 10:36:55 EDT
lvm2-2.02.84-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lvm2-2.02.84-2.fc14
Comment 4 Fedora Update System 2011-05-06 22:49:18 EDT
Package lvm2-2.02.84-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.84-2.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lvm2-2.02.84-2.fc14
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-06-07 00:38:52 EDT
lvm2-2.02.84-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.